Bug 758911 - libgio-2.0-0.dll does not work on Windows 2000
Summary: libgio-2.0-0.dll does not work on Windows 2000
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw32-glib2
Version: 16
Hardware: i386
OS: Windows
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-30 23:25 UTC by Thomas Sailer
Modified: 2012-03-02 01:23 UTC (History)
6 users (show)

Fixed In Version: mingw-antlr-2.7.7-8.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-02 01:23:45 UTC


Attachments (Terms of Use)

Description Thomas Sailer 2011-11-30 23:25:24 UTC
Description of problem:
libgio-2.0-0.dll is not usable on Windows 2000.

Version-Release number of selected component (if applicable):
mingw32-glib2-2.30.1-1.fc16.noarch

How reproducible:
always

Steps to Reproduce:
1.try to run a program that uses libgio-2.0-0.dll on Windows 2000
  
Actual results:
a dialog box pops up stating that freeaddrinfo was not defined.

Expected results:
program runs

Additional info:
the reason for this is that freeaddrinfo is not present in the Windows 2000 version of ws2_32.dll. MS has a work around provided in wspiapi.h; wspiapi.h uses freeaddrinfo from ws2_32.dll if available, otherwise provides its own implementation. But mingw32 (unlike mingw w64) does not provide wspiapi.h. Therefore, gio...dll directly links to freeaddrinfo from ws2_32.dll, which does not work on Windows 2000.

I created a quick&dirty workaround by just including wspiapi from mingw w64:
http://sailer.fedorapeople.org/mingw32-glib2-2.30.1-2.fc16.src.rpm

A better fix might be to add wspiapi from w64 to mingw32, and then recompile mingw32-glib2 (glib2 should autodetect the presence of wspiapi.h).

Comment 1 Richard W.M. Jones 2011-12-01 09:58:49 UTC
Assuming the licenses are compatible, which I didn't check,
including wspiapi from mingw w64 looks reasonable.

What we really need is to get mingw-w64 into Fedora ASAP.
This has been going on for rather a long time now ...

Comment 2 Thomas Sailer 2011-12-01 10:59:39 UTC
It looks to me like these particular files from mingw-w64 are license compatible with mingw32 - but IANAL.

Is mingw-w64 still stuck in legal?

Comment 3 Erik van Pienbroek 2011-12-01 11:58:50 UTC
(In reply to comment #2)
> It looks to me like these particular files from mingw-w64 are license
> compatible with mingw32 - but IANAL.
> 
> Is mingw-w64 still stuck in legal?

Unfortunately it still is. See http://lists.fedoraproject.org/pipermail/legal/2011-November/001754.html for all the details.

I'm +1 for including mingw-w64's wspiapi.h in the current Fedora MinGW toolchain, but as IANAL I don't know if we can safely do this..

Comment 4 Fedora Update System 2012-02-28 16:51:50 UTC
mingw-antlr-2.7.7-8.fc17,mingw-crt-2.0.999-0.4.trunk.20120224.fc17,mingw-filesystem-95-2.fc17,mingw-ftplib-3.1-5.fc17,mingw-gdb-7.3-3.fc17,mingw-goocanvas2-2.0.1-3.fc17,mingw-gstreamer-0.10.35-4.fc17,mingw-gstreamer-plugins-base-0.10.35-3.fc17,mingw-gtk3-3.3.16-1.fc17,mingw-gtkmm30-3.2.0-4.fc17,mingw-gtksourceview3-3.2.0-4.fc17,mingw-headers-2.0.999-0.4.trunk.20120224.fc17,mingw-icu-4.8.1.1-4.fc17,mingw-libjpeg-turbo-1.1.1-7.fc17,mingw-libtasn1-2.9-4.fc17,mingw-libvorbis-1.3.2-4.fc17,mingw-p11-kit-0.10-2.fc17,mingw-pkg-config-0.26-4.fc17,mingw-win-iconv-0.0.3-6.fc17,mingw-wxWidgets-2.8.12-9.fc17,mingw32-SDL-1.2.13-12.fc17,mingw32-SDL_image-1.2.12-2.fc17,mingw32-SDL_mixer-1.2.11-5.fc17,mingw32-atk-2.2.0-3.fc17,mingw32-atkmm-2.22.6-1.fc17,mingw32-binutils-2.22.52-1.fc17,mingw32-boost-1.48.0-4.fc17,mingw32-bzip2-1.0.5-11.fc17,mingw32-cairo-1.10.2-9.fc17,mingw32-cairomm-1.10.0-4.fc17,mingw32-celt051-0.5.1.3-6.fc17,mingw32-cppunit-1.12.1-7.fc17,mingw32-crossreport-8-1.fc17,mingw32-curl-7.20.1-5.fc17,mingw32-cxxtest-3.10.1-7.fc17,mingw32-dbus-1.4.6-3.fc17,mingw32-dirac-1.0.2-6.fc17,mingw32-dlfcn-0-0.11.r11.fc17,mingw32-enchant-1.6.0-3.fc17,mingw32-expat-2.0.1-9.fc17,mingw32-fontconfig-2.8.0-4.fc17,mingw32-freeglut-2.6.0-0.4.rc1.fc17,mingw32-freetype-2.4.8-2.fc17,mingw32-gcc-4.7.0-0.5.20120224.fc17,mingw32-gdbm-1.8.0-8.fc17,mingw32-gdk-pixbuf-2.25.2-3.fc17,mingw32-gettext-0.18.1.1-5.fc17,mingw32-glib-networking-2.31.16-1.fc17,mingw32-glib2-2.31.18-1.fc17,mingw32-glibmm24-2.31.2-3.fc17,mingw32-gnutls-2.12.14-4.fc17,mingw32-gtk-vnc-0.5.0-5.fc17,mingw32-gtk2-2.24.10-2.fc17,mingw32-gtkhtml3-3.32.2-5.fc17,mingw32-gtkmm24-2.24.2-4.fc17,mingw32-hunspell-1.3.2-3.fc17,mingw32-jasper-1.900.1-15.fc17,mingw32-libffi-3.0.9-4.fc17,mingw32-libgcrypt-1.4.4-7.fc17,mingw32-libgeotiff-1.3.0-0.4.svn1664.fc17,mingw32-libglade2-2.6.4-11.fc17,mingw32-libglademm24-2.6.7-14.fc17,mingw32-libgnurx-2.5.1-9.fc17,mingw32-libgpg-error-1.6-16.fc17,mingw32-libidn-1.14-11.fc17,mingw32-libltdl-2.4-5.fc17,mingw32-libogg-1.1.4-5.fc17,mingw32-liboil-0.3.16-5.fc17,mingw32-libp11-0.2.8-3.fc17,mingw32-libpng-1.5.7-2.fc17,mingw32-libsigc++20-2.2.10-4.fc17,mingw32-libsigsegv-2.6-4.fc17,mingw32-libsoup-2.37.90-1.fc17,mingw32-libsqlite3x-20071018-14.fc17,mingw32-libssh2-1.1-8.fc17,mingw32-libtiff-3.9.5-4.fc17,mingw32-libvirt-0.9.10-2.fc17,mingw32-libxml++-2.34.2-4.fc17,mingw32-libxml2-2.7.8-4.fc17,mingw32-libxslt-1.1.26-6.fc17,mingw32-libzip-0.9-5.fc17,mingw32-matahari-0.5.0-1.fc17.3,mingw32-nsis-2.46-6.fc17,mingw32-nsiswrapper-9-2.fc17,mingw32-openjpeg-1.3-8.fc17,mingw32-opensc-0.12.2-3.fc17,mingw32-openssl-1.0.0d-3.fc17,mingw32-pango-1.29.5-2.fc17,mingw32-pangomm-2.28.3-4.fc17,mingw32-pcre-8.10-6.fc17,mingw32-pdcurses-3.4-10.fc17,mingw32-pixman-0.24.4-1.fc17,mingw32-plotmm-0.1.2-12.fc17,mingw32-portablexdr-4.9.1-5.fc17,mingw32-proj-4.6.1-7.fc17,mingw32-pthreads-2.8.0-17.20110511cvs.fc17,mingw32-qpid-cpp-0.14-1.fc17,mingw32-qt-4.8.0-5.fc17,mingw32-qt-qmake-4.8.0-4.fc17,mingw32-qwt-5.2.1-5.fc17,mingw32-readline-5.2-10.fc17,mingw32-sigar-1.6.5-0.7.git58097d9.fc17,mingw32-spice-protocol-0.8.0-3.fc17,mingw32-sqlite-3.7.9-2.fc17,mingw32-srvany-1.0-7.fc17,mingw32-tcl-8.5.11-2.fc17,mingw32-termcap-1.3.1-11.fc17,mingw32-tk-8.5.9-4.fc17,mingw32-webkitgtk-1.7.5-5.fc17,mingw32-wpcap-4.1.final2-5.fc17,mingw32-xerces-c-3.1.1-3.fc17,mingw32-zfstream-20041202-11.fc17,mingw32-zlib-1.2.5-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw-antlr-2.7.7-8.fc17,mingw-crt-2.0.999-0.4.trunk.20120224.fc17,mingw-filesystem-95-2.fc17,mingw-ftplib-3.1-5.fc17,mingw-gdb-7.3-3.fc17,mingw-goocanvas2-2.0.1-3.fc17,mingw-gstreamer-0.10.35-4.fc17,mingw-gstreamer-plugins-base-0.10.35-3.fc17,mingw-gtk3-3.3.16-1.fc17,mingw-gtkmm30-3.2.0-4.fc17,mingw-gtksourceview3-3.2.0-4.fc17,mingw-headers-2.0.999-0.4.trunk.20120224.fc17,mingw-icu-4.8.1.1-4.fc17,mingw-libjpeg-turbo-1.1.1-7.fc17,mingw-libtasn1-2.9-4.fc17,mingw-libvorbis-1.3.2-4.fc17,mingw-p11-kit-0.10-2.fc17,mingw-pkg-config-0.26-4.fc17,mingw-win-iconv-0.0.3-6.fc17,mingw-wxWidgets-2.8.12-9.fc17,mingw32-SDL-1.2.13-12.fc17,mingw32-SDL_image-1.2.12-2.fc17,mingw32-SDL_mixer-1.2.11-5.fc17,mingw32-atk-2.2.0-3.fc17,mingw32-atkmm-2.22.6-1.fc17,mingw32-binutils-2.22.52-1.fc17,mingw32-boost-1.48.0-4.fc17,mingw32-bzip2-1.0.5-11.fc17,mingw32-cairo-1.10.2-9.fc17,mingw32-cairomm-1.10.0-4.fc17,mingw32-celt051-0.5.1.3-6.fc17,mingw32-cppunit-1.12.1-7.fc17,mingw32-crossreport-8-1.fc17,mingw32-curl-7.20.1-5.fc17,mingw32-cxxtest-3.10.1-7.fc17,mingw32-dbus-1.4.6-3.fc17,mingw32-dirac-1.0.2-6.fc17,mingw32-dlfcn-0-0.11.r11.fc17,mingw32-enchant-1.6.0-3.fc17,mingw32-expat-2.0.1-9.fc17,mingw32-fontconfig-2.8.0-4.fc17,mingw32-freeglut-2.6.0-0.4.rc1.fc17,mingw32-freetype-2.4.8-2.fc17,mingw32-gcc-4.7.0-0.5.20120224.fc17,mingw32-gdbm-1.8.0-8.fc17,mingw32-gdk-pixbuf-2.25.2-3.fc17,mingw32-gettext-0.18.1.1-5.fc17,mingw32-glib-networking-2.31.16-1.fc17,mingw32-glib2-2.31.18-1.fc17,mingw32-glibmm24-2.31.2-3.fc17,mingw32-gnutls-2.12.14-4.fc17,mingw32-gtk-vnc-0.5.0-5.fc17,mingw32-gtk2-2.24.10-2.fc17,mingw32-gtkhtml3-3.32.2-5.fc17,mingw32-gtkmm24-2.24.2-4.fc17,mingw32-hunspell-1.3.2-3.fc17,mingw32-jasper-1.900.1-15.fc17,mingw32-libffi-3.0.9-4.fc17,mingw32-libgcrypt-1.4.4-7.fc17,mingw32-libgeotiff-1.3.0-0.4.svn1664.fc17,mingw32-libglade2-2.6.4-11.fc17,mingw32-libglademm24-2.6.7-14.fc17,mingw32-libgnurx-2.5.1-9.fc17,mingw32-libgpg-error-1.6-16.fc17,mingw32-libidn-1.14-11.fc17,mingw32-libltdl-2.4-5.fc17,mingw32-libogg-1.1.4-5.fc17,mingw32-liboil-0.3.16-5.fc17,mingw32-libp11-0.2.8-3.fc17,mingw32-libpng-1.5.7-2.fc17,mingw32-libsigc++20-2.2.10-4.fc17,mingw32-libsigsegv-2.6-4.fc17,mingw32-libsoup-2.37.90-1.fc17,mingw32-libsqlite3x-20071018-14.fc17,mingw32-libssh2-1.1-8.fc17,mingw32-libtiff-3.9.5-4.fc17,mingw32-libvirt-0.9.10-2.fc17,mingw32-libxml++-2.34.2-4.fc17,mingw32-libxml2-2.7.8-4.fc17,mingw32-libxslt-1.1.26-6.fc17,mingw32-libzip-0.9-5.fc17,mingw32-matahari-0.5.0-1.fc17.3,mingw32-nsis-2.46-6.fc17,mingw32-nsiswrapper-9-2.fc17,mingw32-openjpeg-1.3-8.fc17,mingw32-opensc-0.12.2-3.fc17,mingw32-openssl-1.0.0d-3.fc17,mingw32-pango-1.29.5-2.fc17,mingw32-pangomm-2.28.3-4.fc17,mingw32-pcre-8.10-6.fc17,mingw32-pdcurses-3.4-10.fc17,mingw32-pixman-0.24.4-1.fc17,mingw32-plotmm-0.1.2-12.fc17,mingw32-portablexdr-4.9.1-5.fc17,mingw32-proj-4.6.1-7.fc17,mingw32-pthreads-2.8.0-17.20110511cvs.fc17,mingw32-qpid-cpp-0.14-1.fc17,mingw32-qt-4.8.0-5.fc17,mingw32-qt-qmake-4.8.0-4.fc17,mingw32-qwt-5.2.1-5.fc17,mingw32-readline-5.2-10.fc17,mingw32-sigar-1.6.5-0.7.git58097d9.fc17,mingw32-spice-protocol-0.8.0-3.fc17,mingw32-sqlite-3.7.9-2.fc17,mingw32-srvany-1.0-7.fc17,mingw32-tcl-8.5.11-2.fc17,mingw32-termcap-1.3.1-11.fc17,mingw32-tk-8.5.9-4.fc17,mingw32-webkitgtk-1.7.5-5.fc17,mingw32-wpcap-4.1.final2-5.fc17,mingw32-xerces-c-3.1.1-3.fc17,mingw32-zfstream-20041202-11.fc17,mingw32-zlib-1.2.5-8.fc17

Comment 5 Fedora Update System 2012-02-28 20:40:41 UTC
Package mingw-antlr-2.7.7-8.fc17, mingw-crt-2.0.999-0.4.trunk.20120224.fc17, mingw-filesystem-95-2.fc17, mingw-ftplib-3.1-5.fc17, mingw-gdb-7.3-3.fc17, mingw-goocanvas2-2.0.1-3.fc17, mingw-gstreamer-0.10.35-4.fc17, mingw-gstreamer-plugins-base-0.10.35-3.fc17, mingw-gtk3-3.3.16-1.fc17, mingw-gtkmm30-3.2.0-4.fc17, mingw-gtksourceview3-3.2.0-4.fc17, mingw-headers-2.0.999-0.4.trunk.20120224.fc17, mingw-icu-4.8.1.1-4.fc17, mingw-libjpeg-turbo-1.1.1-7.fc17, mingw-libtasn1-2.9-4.fc17, mingw-libvorbis-1.3.2-4.fc17, mingw-p11-kit-0.10-2.fc17, mingw-pkg-config-0.26-4.fc17, mingw-win-iconv-0.0.3-6.fc17, mingw-wxWidgets-2.8.12-9.fc17, mingw32-SDL-1.2.13-12.fc17, mingw32-SDL_image-1.2.12-2.fc17, mingw32-SDL_mixer-1.2.11-5.fc17, mingw32-atk-2.2.0-3.fc17, mingw32-atkmm-2.22.6-1.fc17, mingw32-binutils-2.22.52-1.fc17, mingw32-boost-1.48.0-4.fc17, mingw32-bzip2-1.0.5-11.fc17, mingw32-cairo-1.10.2-9.fc17, mingw32-cairomm-1.10.0-4.fc17, mingw32-celt051-0.5.1.3-6.fc17, mingw32-cppunit-1.12.1-7.fc17, mingw32-crossreport-8-1.fc17, mingw32-curl-7.20.1-5.fc17, mingw32-cxxtest-3.10.1-7.fc17, mingw32-dbus-1.4.6-3.fc17, mingw32-dirac-1.0.2-6.fc17, mingw32-dlfcn-0-0.11.r11.fc17, mingw32-enchant-1.6.0-3.fc17, mingw32-expat-2.0.1-9.fc17, mingw32-fontconfig-2.8.0-4.fc17, mingw32-freeglut-2.6.0-0.4.rc1.fc17, mingw32-freetype-2.4.8-2.fc17, mingw32-gcc-4.7.0-0.5.20120224.fc17, mingw32-gdbm-1.8.0-8.fc17, mingw32-gdk-pixbuf-2.25.2-3.fc17, mingw32-gettext-0.18.1.1-5.fc17, mingw32-glib-networking-2.31.16-1.fc17, mingw32-glib2-2.31.18-1.fc17, mingw32-glibmm24-2.31.2-3.fc17, mingw32-gnutls-2.12.14-4.fc17, mingw32-gtk-vnc-0.5.0-5.fc17, mingw32-gtk2-2.24.10-2.fc17, mingw32-gtkhtml3-3.32.2-5.fc17, mingw32-gtkmm24-2.24.2-4.fc17, mingw32-hunspell-1.3.2-3.fc17, mingw32-jasper-1.900.1-15.fc17, mingw32-libffi-3.0.9-4.fc17, mingw32-libgcrypt-1.4.4-7.fc17, mingw32-libgeotiff-1.3.0-0.4.svn1664.fc17, mingw32-libglade2-2.6.4-11.fc17, mingw32-libglademm24-2.6.7-14.fc17, mingw32-libgnurx-2.5.1-9.fc17, mingw32-libgpg-error-1.6-16.fc17, mingw32-libidn-1.14-11.fc17, mingw32-libltdl-2.4-5.fc17, mingw32-libogg-1.1.4-5.fc17, mingw32-liboil-0.3.16-5.fc17, mingw32-libp11-0.2.8-3.fc17, mingw32-libpng-1.5.7-2.fc17, mingw32-libsigc++20-2.2.10-4.fc17, mingw32-libsigsegv-2.6-4.fc17, mingw32-libsoup-2.37.90-1.fc17, mingw32-libsqlite3x-20071018-14.fc17, mingw32-libssh2-1.1-8.fc17, mingw32-libtiff-3.9.5-4.fc17, mingw32-libvirt-0.9.10-2.fc17, mingw32-libxml++-2.34.2-4.fc17, mingw32-libxml2-2.7.8-4.fc17, mingw32-libxslt-1.1.26-6.fc17, mingw32-libzip-0.9-5.fc17, mingw32-matahari-0.5.0-1.fc17.3, mingw32-nsis-2.46-6.fc17, mingw32-nsiswrapper-9-2.fc17, mingw32-openjpeg-1.3-8.fc17, mingw32-opensc-0.12.2-3.fc17, mingw32-openssl-1.0.0d-3.fc17, mingw32-pango-1.29.5-2.fc17, mingw32-pangomm-2.28.3-4.fc17, mingw32-pcre-8.10-6.fc17, mingw32-pdcurses-3.4-10.fc17, mingw32-pixman-0.24.4-1.fc17, mingw32-plotmm-0.1.2-12.fc17, mingw32-portablexdr-4.9.1-5.fc17, mingw32-proj-4.6.1-7.fc17, mingw32-pthreads-2.8.0-17.20110511cvs.fc17, mingw32-qpid-cpp-0.14-1.fc17, mingw32-qt-4.8.0-5.fc17, mingw32-qt-qmake-4.8.0-4.fc17, mingw32-qwt-5.2.1-5.fc17, mingw32-readline-5.2-10.fc17, mingw32-sigar-1.6.5-0.7.git58097d9.fc17, mingw32-spice-protocol-0.8.0-3.fc17, mingw32-sqlite-3.7.9-2.fc17, mingw32-srvany-1.0-7.fc17, mingw32-tcl-8.5.11-2.fc17, mingw32-termcap-1.3.1-11.fc17, mingw32-tk-8.5.9-4.fc17, mingw32-webkitgtk-1.7.5-5.fc17, mingw32-wpcap-4.1.final2-5.fc17, mingw32-xerces-c-3.1.1-3.fc17, mingw32-zfstream-20041202-11.fc17, mingw32-zlib-1.2.5-8.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-antlr-2.7.7-8.fc17 mingw-crt-2.0.999-0.4.trunk.20120224.fc17 mingw-filesystem-95-2.fc17 mingw-ftplib-3.1-5.fc17 mingw-gdb-7.3-3.fc17 mingw-goocanvas2-2.0.1-3.fc17 mingw-gstreamer-0.10.35-4.fc17 mingw-gstreamer-plugins-base-0.10.35-3.fc17 mingw-gtk3-3.3.16-1.fc17 mingw-gtkmm30-3.2.0-4.fc17 mingw-gtksourceview3-3.2.0-4.fc17 mingw-headers-2.0.999-0.4.trunk.20120224.fc17 mingw-icu-4.8.1.1-4.fc17 mingw-libjpeg-turbo-1.1.1-7.fc17 mingw-libtasn1-2.9-4.fc17 mingw-libvorbis-1.3.2-4.fc17 mingw-p11-kit-0.10-2.fc17 mingw-pkg-config-0.26-4.fc17 mingw-win-iconv-0.0.3-6.fc17 mingw-wxWidgets-2.8.12-9.fc17 mingw32-SDL-1.2.13-12.fc17 mingw32-SDL_image-1.2.12-2.fc17 mingw32-SDL_mixer-1.2.11-5.fc17 mingw32-atk-2.2.0-3.fc17 mingw32-atkmm-2.22.6-1.fc17 mingw32-binutils-2.22.52-1.fc17 mingw32-boost-1.48.0-4.fc17 mingw32-bzip2-1.0.5-11.fc17 mingw32-cairo-1.10.2-9.fc17 mingw32-cairomm-1.10.0-4.fc17 mingw32-celt051-0.5.1.3-6.fc17 mingw32-cppunit-1.12.1-7.fc17 mingw32-crossreport-8-1.fc17 mingw32-curl-7.20.1-5.fc17 mingw32-cxxtest-3.10.1-7.fc17 mingw32-dbus-1.4.6-3.fc17 mingw32-dirac-1.0.2-6.fc17 mingw32-dlfcn-0-0.11.r11.fc17 mingw32-enchant-1.6.0-3.fc17 mingw32-expat-2.0.1-9.fc17 mingw32-fontconfig-2.8.0-4.fc17 mingw32-freeglut-2.6.0-0.4.rc1.fc17 mingw32-freetype-2.4.8-2.fc17 mingw32-gcc-4.7.0-0.5.20120224.fc17 mingw32-gdbm-1.8.0-8.fc17 mingw32-gdk-pixbuf-2.25.2-3.fc17 mingw32-gettext-0.18.1.1-5.fc17 mingw32-glib-networking-2.31.16-1.fc17 mingw32-glib2-2.31.18-1.fc17 mingw32-glibmm24-2.31.2-3.fc17 mingw32-gnutls-2.12.14-4.fc17 mingw32-gtk-vnc-0.5.0-5.fc17 mingw32-gtk2-2.24.10-2.fc17 mingw32-gtkhtml3-3.32.2-5.fc17 mingw32-gtkmm24-2.24.2-4.fc17 mingw32-hunspell-1.3.2-3.fc17 mingw32-jasper-1.900.1-15.fc17 mingw32-libffi-3.0.9-4.fc17 mingw32-libgcrypt-1.4.4-7.fc17 mingw32-libgeotiff-1.3.0-0.4.svn1664.fc17 mingw32-libglade2-2.6.4-11.fc17 mingw32-libglademm24-2.6.7-14.fc17 mingw32-libgnurx-2.5.1-9.fc17 mingw32-libgpg-error-1.6-16.fc17 mingw32-libidn-1.14-11.fc17 mingw32-libltdl-2.4-5.fc17 mingw32-libogg-1.1.4-5.fc17 mingw32-liboil-0.3.16-5.fc17 mingw32-libp11-0.2.8-3.fc17 mingw32-libpng-1.5.7-2.fc17 mingw32-libsigc++20-2.2.10-4.fc17 mingw32-libsigsegv-2.6-4.fc17 mingw32-libsoup-2.37.90-1.fc17 mingw32-libsqlite3x-20071018-14.fc17 mingw32-libssh2-1.1-8.fc17 mingw32-libtiff-3.9.5-4.fc17 mingw32-libvirt-0.9.10-2.fc17 mingw32-libxml++-2.34.2-4.fc17 mingw32-libxml2-2.7.8-4.fc17 mingw32-libxslt-1.1.26-6.fc17 mingw32-libzip-0.9-5.fc17 mingw32-matahari-0.5.0-1.fc17.3 mingw32-nsis-2.46-6.fc17 mingw32-nsiswrapper-9-2.fc17 mingw32-openjpeg-1.3-8.fc17 mingw32-opensc-0.12.2-3.fc17 mingw32-openssl-1.0.0d-3.fc17 mingw32-pango-1.29.5-2.fc17 mingw32-pangomm-2.28.3-4.fc17 mingw32-pcre-8.10-6.fc17 mingw32-pdcurses-3.4-10.fc17 mingw32-pixman-0.24.4-1.fc17 mingw32-plotmm-0.1.2-12.fc17 mingw32-portablexdr-4.9.1-5.fc17 mingw32-proj-4.6.1-7.fc17 mingw32-pthreads-2.8.0-17.20110511cvs.fc17 mingw32-qpid-cpp-0.14-1.fc17 mingw32-qt-4.8.0-5.fc17 mingw32-qt-qmake-4.8.0-4.fc17 mingw32-qwt-5.2.1-5.fc17 mingw32-readline-5.2-10.fc17 mingw32-sigar-1.6.5-0.7.git58097d9.fc17 mingw32-spice-protocol-0.8.0-3.fc17 mingw32-sqlite-3.7.9-2.fc17 mingw32-srvany-1.0-7.fc17 mingw32-tcl-8.5.11-2.fc17 mingw32-termcap-1.3.1-11.fc17 mingw32-tk-8.5.9-4.fc17 mingw32-webkitgtk-1.7.5-5.fc17 mingw32-wpcap-4.1.final2-5.fc17 mingw32-xerces-c-3.1.1-3.fc17 mingw32-zfstream-20041202-11.fc17 mingw32-zlib-1.2.5-8.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2619/mingw-antlr-2.7.7-8.fc17,mingw-crt-2.0.999-0.4.trunk.20120224.fc17,mingw-filesystem-95-2.fc17,mingw-ftplib-3.1-5.fc17,mingw-gdb-7.3-3.fc17,mingw-goocanvas2-2.0.1-3.fc17,mingw-gstreamer-0.10.35-4.fc17,mingw-gstreamer-plugins-base-0.10.35-3.fc17,mingw-gtk3-3.3.16-1.fc17,mingw-gtkmm30-3.2.0-4.fc17,mingw-gtksourceview3-3.2.0-4.fc17,mingw-headers-2.0.999-0.4.trunk.20120224.fc17,mingw-icu-4.8.1.1-4.fc17,mingw-libjpeg-turbo-1.1.1-7.fc17,mingw-libtasn1-2.9-4.fc17,mingw-libvorbis-1.3.2-4.fc17,mingw-p11-kit-0.10-2.fc17,mingw-pkg-config-0.26-4.fc17,mingw-win-iconv-0.0.3-6.fc17,mingw-wxWidgets-2.8.12-9.fc17,mingw32-SDL-1.2.13-12.fc17,mingw32-SDL_image-1.2.12-2.fc17,mingw32-SDL_mixer-1.2.11-5.fc17,mingw32-atk-2.2.0-3.fc17,mingw32-atkmm-2.22.6-1.fc17,mingw32-binutils-2.22.52-1.fc17,mingw32-boost-1.48.0-4.fc17,mingw32-bzip2-1.0.5-11.fc17,mingw32-cairo-1.10.2-9.fc17,mingw32-cairomm-1.10.0-4.fc17,mingw32-celt051-0.5.1.3-6.fc17,mingw32-cppunit-1.12.1-7.fc17,mingw32-crossreport-8-1.fc17,mingw32-curl-7.20.1-5.fc17,mingw32-cxxtest-3.10.1-7.fc17,mingw32-dbus-1.4.6-3.fc17,mingw32-dirac-1.0.2-6.fc17,mingw32-dlfcn-0-0.11.r11.fc17,mingw32-enchant-1.6.0-3.fc17,mingw32-expat-2.0.1-9.fc17,mingw32-fontconfig-2.8.0-4.fc17,mingw32-freeglut-2.6.0-0.4.rc1.fc17,mingw32-freetype-2.4.8-2.fc17,mingw32-gcc-4.7.0-0.5.20120224.fc17,mingw32-gdbm-1.8.0-8.fc17,mingw32-gdk-pixbuf-2.25.2-3.fc17,mingw32-gettext-0.18.1.1-5.fc17,mingw32-glib-networking-2.31.16-1.fc17,mingw32-glib2-2.31.18-1.fc17,mingw32-glibmm24-2.31.2-3.fc17,mingw32-gnutls-2.12.14-4.fc17,mingw32-gtk-vnc-0.5.0-5.fc17,mingw32-gtk2-2.24.10-2.fc17,mingw32-gtkhtml3-3.32.2-5.fc17,mingw32-gtkmm24-2.24.2-4.fc17,mingw32-hunspell-1.3.2-3.fc17,mingw32-jasper-1.900.1-15.fc17,mingw32-libffi-3.0.9-4.fc17,mingw32-libgcrypt-1.4.4-7.fc17,mingw32-libgeotiff-1.3.0-0.4.svn1664.fc17,mingw32-libglade2-2.6.4-11.fc17,mingw32-libglademm24-2.6.7-14.fc17,mingw32-libgnurx-2.5.1-9.fc17,mingw32-libgpg-error-1.6-16.fc17,mingw32-libidn-1.14-11.fc17,mingw32-libltdl-2.4-5.fc17,mingw32-libogg-1.1.4-5.fc17,mingw32-liboil-0.3.16-5.fc17,mingw32-libp11-0.2.8-3.fc17,mingw32-libpng-1.5.7-2.fc17,mingw32-libsigc++20-2.2.10-4.fc17,mingw32-libsigsegv-2.6-4.fc17,mingw32-libsoup-2.37.90-1.fc17,mingw32-libsqlite3x-20071018-14.fc17,mingw32-libssh2-1.1-8.fc17,mingw32-libtiff-3.9.5-4.fc17,mingw32-libvirt-0.9.10-2.fc17,mingw32-libxml++-2.34.2-4.fc17,mingw32-libxml2-2.7.8-4.fc17,mingw32-libxslt-1.1.26-6.fc17,mingw32-libzip-0.9-5.fc17,mingw32-matahari-0.5.0-1.fc17.3,mingw32-nsis-2.46-6.fc17,mingw32-nsiswrapper-9-2.fc17,mingw32-openjpeg-1.3-8.fc17,mingw32-opensc-0.12.2-3.fc17,mingw32-openssl-1.0.0d-3.fc17,mingw32-pango-1.29.5-2.fc17,mingw32-pangomm-2.28.3-4.fc17,mingw32-pcre-8.10-6.fc17,mingw32-pdcurses-3.4-10.fc17,mingw32-pixman-0.24.4-1.fc17,mingw32-plotmm-0.1.2-12.fc17,mingw32-portablexdr-4.9.1-5.fc17,mingw32-proj-4.6.1-7.fc17,mingw32-pthreads-2.8.0-17.20110511cvs.fc17,mingw32-qpid-cpp-0.14-1.fc17,mingw32-qt-4.8.0-5.fc17,mingw32-qt-qmake-4.8.0-4.fc17,mingw32-qwt-5.2.1-5.fc17,mingw32-readline-5.2-10.fc17,mingw32-sigar-1.6.5-0.7.git58097d9.fc17,mingw32-spice-protocol-0.8.0-3.fc17,mingw32-sqlite-3.7.9-2.fc17,mingw32-srvany-1.0-7.fc17,mingw32-tcl-8.5.11-2.fc17,mingw32-termcap-1.3.1-11.fc17,mingw32-tk-8.5.9-4.fc17,mingw32-webkitgtk-1.7.5-5.fc17,mingw32-wpcap-4.1.final2-5.fc17,mingw32-xerces-c-3.1.1-3.fc17,mingw32-zfstream-20041202-11.fc17,mingw32-zlib-1.2.5-8.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-03-02 01:23:45 UTC
mingw-antlr-2.7.7-8.fc17, mingw-crt-2.0.999-0.4.trunk.20120224.fc17, mingw-filesystem-95-2.fc17, mingw-ftplib-3.1-5.fc17, mingw-gdb-7.3-3.fc17, mingw-goocanvas2-2.0.1-3.fc17, mingw-gstreamer-0.10.35-4.fc17, mingw-gstreamer-plugins-base-0.10.35-3.fc17, mingw-gtk3-3.3.16-1.fc17, mingw-gtkmm30-3.2.0-4.fc17, mingw-gtksourceview3-3.2.0-4.fc17, mingw-headers-2.0.999-0.4.trunk.20120224.fc17, mingw-icu-4.8.1.1-4.fc17, mingw-libjpeg-turbo-1.1.1-7.fc17, mingw-libtasn1-2.9-4.fc17, mingw-libvorbis-1.3.2-4.fc17, mingw-p11-kit-0.10-2.fc17, mingw-pkg-config-0.26-4.fc17, mingw-win-iconv-0.0.3-6.fc17, mingw-wxWidgets-2.8.12-9.fc17, mingw32-SDL-1.2.13-12.fc17, mingw32-SDL_image-1.2.12-2.fc17, mingw32-SDL_mixer-1.2.11-5.fc17, mingw32-atk-2.2.0-3.fc17, mingw32-atkmm-2.22.6-1.fc17, mingw32-binutils-2.22.52-1.fc17, mingw32-boost-1.48.0-4.fc17, mingw32-bzip2-1.0.5-11.fc17, mingw32-cairo-1.10.2-9.fc17, mingw32-cairomm-1.10.0-4.fc17, mingw32-celt051-0.5.1.3-6.fc17, mingw32-cppunit-1.12.1-7.fc17, mingw32-crossreport-8-1.fc17, mingw32-curl-7.20.1-5.fc17, mingw32-cxxtest-3.10.1-7.fc17, mingw32-dbus-1.4.6-3.fc17, mingw32-dirac-1.0.2-6.fc17, mingw32-dlfcn-0-0.11.r11.fc17, mingw32-enchant-1.6.0-3.fc17, mingw32-expat-2.0.1-9.fc17, mingw32-fontconfig-2.8.0-4.fc17, mingw32-freeglut-2.6.0-0.4.rc1.fc17, mingw32-freetype-2.4.8-2.fc17, mingw32-gcc-4.7.0-0.5.20120224.fc17, mingw32-gdbm-1.8.0-8.fc17, mingw32-gdk-pixbuf-2.25.2-3.fc17, mingw32-gettext-0.18.1.1-5.fc17, mingw32-glib-networking-2.31.16-1.fc17, mingw32-glib2-2.31.18-1.fc17, mingw32-glibmm24-2.31.2-3.fc17, mingw32-gnutls-2.12.14-4.fc17, mingw32-gtk-vnc-0.5.0-5.fc17, mingw32-gtk2-2.24.10-2.fc17, mingw32-gtkhtml3-3.32.2-5.fc17, mingw32-gtkmm24-2.24.2-4.fc17, mingw32-hunspell-1.3.2-3.fc17, mingw32-jasper-1.900.1-15.fc17, mingw32-libffi-3.0.9-4.fc17, mingw32-libgcrypt-1.4.4-7.fc17, mingw32-libgeotiff-1.3.0-0.4.svn1664.fc17, mingw32-libglade2-2.6.4-11.fc17, mingw32-libglademm24-2.6.7-14.fc17, mingw32-libgnurx-2.5.1-9.fc17, mingw32-libgpg-error-1.6-16.fc17, mingw32-libidn-1.14-11.fc17, mingw32-libltdl-2.4-5.fc17, mingw32-libogg-1.1.4-5.fc17, mingw32-liboil-0.3.16-5.fc17, mingw32-libp11-0.2.8-3.fc17, mingw32-libpng-1.5.7-2.fc17, mingw32-libsigc++20-2.2.10-4.fc17, mingw32-libsigsegv-2.6-4.fc17, mingw32-libsoup-2.37.90-1.fc17, mingw32-libsqlite3x-20071018-14.fc17, mingw32-libssh2-1.1-8.fc17, mingw32-libtiff-3.9.5-4.fc17, mingw32-libvirt-0.9.10-2.fc17, mingw32-libxml++-2.34.2-4.fc17, mingw32-libxml2-2.7.8-4.fc17, mingw32-libxslt-1.1.26-6.fc17, mingw32-libzip-0.9-5.fc17, mingw32-matahari-0.5.0-1.fc17.3, mingw32-nsis-2.46-6.fc17, mingw32-nsiswrapper-9-2.fc17, mingw32-openjpeg-1.3-8.fc17, mingw32-opensc-0.12.2-3.fc17, mingw32-openssl-1.0.0d-3.fc17, mingw32-pango-1.29.5-2.fc17, mingw32-pangomm-2.28.3-4.fc17, mingw32-pcre-8.10-6.fc17, mingw32-pdcurses-3.4-10.fc17, mingw32-pixman-0.24.4-1.fc17, mingw32-plotmm-0.1.2-12.fc17, mingw32-portablexdr-4.9.1-5.fc17, mingw32-proj-4.6.1-7.fc17, mingw32-pthreads-2.8.0-17.20110511cvs.fc17, mingw32-qpid-cpp-0.14-1.fc17, mingw32-qt-4.8.0-5.fc17, mingw32-qt-qmake-4.8.0-4.fc17, mingw32-qwt-5.2.1-5.fc17, mingw32-readline-5.2-10.fc17, mingw32-sigar-1.6.5-0.7.git58097d9.fc17, mingw32-spice-protocol-0.8.0-3.fc17, mingw32-sqlite-3.7.9-2.fc17, mingw32-srvany-1.0-7.fc17, mingw32-tcl-8.5.11-2.fc17, mingw32-termcap-1.3.1-11.fc17, mingw32-tk-8.5.9-4.fc17, mingw32-webkitgtk-1.7.5-5.fc17, mingw32-wpcap-4.1.final2-5.fc17, mingw32-xerces-c-3.1.1-3.fc17, mingw32-zfstream-20041202-11.fc17, mingw32-zlib-1.2.5-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.